summaryrefslogtreecommitdiff
path: root/src/mint/test_taler_mint_httpd_afl.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2015-09-22 10:00:01 +0200
committerChristian Grothoff <christian@grothoff.org>2015-09-22 10:00:01 +0200
commit3c8c127e0e629f4075287ad33e54d5c51b24eddb (patch)
tree8ac15142ae047dabfb80c0202759f85c4136776e /src/mint/test_taler_mint_httpd_afl.sh
parente9f48d8eb0304f7f13797c8e12a2217b2c54dde3 (diff)
downloadexchange-3c8c127e0e629f4075287ad33e54d5c51b24eddb.tar.gz
exchange-3c8c127e0e629f4075287ad33e54d5c51b24eddb.tar.bz2
exchange-3c8c127e0e629f4075287ad33e54d5c51b24eddb.zip
fixing use of wrong array length (bad), and misc leaks
Diffstat (limited to 'src/mint/test_taler_mint_httpd_afl.sh')
-rwxr-xr-xsrc/mint/test_taler_mint_httpd_afl.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/src/mint/test_taler_mint_httpd_afl.sh b/src/mint/test_taler_mint_httpd_afl.sh
index bbcf8edbf..d2c40c216 100755
--- a/src/mint/test_taler_mint_httpd_afl.sh
+++ b/src/mint/test_taler_mint_httpd_afl.sh
@@ -21,17 +21,21 @@
#
# We read the JSON snippets from afl-tests/
#
+PREFIX=
+# Uncomment this line to run with valgrind...
+PREFIX="valgrind --leak-check=yes --log-file=valgrind.%p"
# Setup keys.
taler-mint-keyup -d test-mint-home -m test-mint-home/master.priv
# Setup database (just to be sure)
taler-mint-dbinit -d test-mint-home &> /dev/null || true
# Only log hard errors, we expect lots of warnings...
-export GNUNET_FORCE_LOG="taler-mint-httpd;;;;ERROR/libmicrohttpd;;;;ERROR/"
+export GNUNET_FORCE_LOG="taler-mint-httpd;;;;ERROR/libmicrohttpd;;;;ERROR/util;;;;ERROR/"
# Run test...
for n in afl-tests/*
do
echo -n "Test $n "
- taler-mint-httpd -d test-mint-home/ -t 1 -f $n -C > /dev/null || { echo "FAIL!"; exit 1; }
+ $PREFIX taler-mint-httpd -d test-mint-home/ -t 1 -f $n -C > /dev/null || { echo "FAIL!"; }
+# $PREFIX taler-mint-httpd -d test-mint-home/ -t 1 -f $n -C > /dev/null || { echo "FAIL!"; exit 1; }
echo "OK"
done
exit 0